<?php
/**
 * This contains customizer function for value
 *
 * @package Postmagthemes
 * @subpackage Postmag
 */

function custom_excerpt_length( $length ) {
	return 28;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

/// to get thumbnail for video///
function postmag_get_embedded_media( $type = array( 'video', 'iframe' ) ) {
	$content = apply_filters( 'the_content', get_the_content() );
	$embed = get_media_embedded_in_content( $content, $type );
	if (! $embed == null) {
		esc_attr( $output = str_replace( '?visual =true', '?visual=false', $embed[0] ) );
	} else {
		$output = null;
	}
	return $output ;
}

// to get Date, Comments and Tag in left align
function postmag_date_comments_left() {
?>
	<div class = "text-left" >
		<?php
		if ( get_theme_mod( 'post_date_display' ) === 'show' ) :
		?>
			<i class = "fa fa-calendar fontsize-ca" > <?php echo esc_html(get_the_date( get_option( 'date_format' ) ) ); ?></i>
		<?php
		endif;
		if ( get_theme_mod( 'post_comment_display' ) === 'show' ) :
		?>  
			<i class = "fa fa-commenting fontsize-ca" ><?php esc_html_e( 'Comments..', 'postmag' ); echo esc_attr( get_comments_number() );?></i>
			<i class = "fa fa-tag fontsize-ca"  ><?php the_tags();?></i>
		<?php endif; ?>
		</div>
<?php
}

// to get Date, Comments and Tag in center align
function postmag_date_comments_center() {
?>
	<div class = "text-center" >
		<?php
		if ( get_theme_mod( 'post_date_display' ) === 'show' ) :
		?>
			<i class = "fa fa-calendar fontsize-ca" > <?php echo esc_html(get_the_date( get_option( 'date_format' ) ) ); ?></i>
		<?php
		endif;
		if ( get_theme_mod( 'post_comment_display' ) === 'show' ) :
		?>
			<i class = "fa fa-commenting fontsize-ca" > <?php esc_html_e( 'Comments..', 'postmag' ); echo esc_attr( get_comments_number() );?></i>
			<i class = "fa fa-tag fontsize-ca"  ><?php the_tags();?></i>
		<?php endif ; ?>
	</div>
	<?php
}
// to modify CSS for fonts and color
function postmag_customize_css() {
	$hex = esc_attr( get_theme_mod( 'header_color4', '#d6d6d6' ) );
	$percent  = -0.08;
	$final_color = color_luminance( $hex, $percent );
?>
		<style type="text/css">
			
			h2,
			h5, 
			h4, 
			h3 { 
				color: <?php echo  esc_attr( get_theme_mod( 'header_color1', '#000000' ) ); ?>;
				font-weight: <?php echo esc_attr( get_theme_mod( 'title_weight' ) );?> ;
				font-family: <?php echo esc_attr( get_theme_mod( 'title_font_name', 'open sans' ) );?> ;
				font-style: <?php echo esc_attr( get_theme_mod( 'title_font_style' ) );?> ;
				font-size: <?php echo esc_attr( get_theme_mod( 'title_font_size','2.6' ) ).'vmin';?> ;
			}
			li a {
				color: <?php echo  esc_attr( get_theme_mod( 'header_color9', '#2d76bf' ) ); ?>;
				font-weight: <?php echo esc_attr( get_theme_mod( 'title_weight' ) );?> ;
				font-family: <?php echo esc_attr( get_theme_mod( 'title_font_name', 'open sans' ) );?> ;
				font-style: <?php echo esc_attr( get_theme_mod( 'title_font_style' ) );?> ;
				font-size: <?php echo esc_attr( get_theme_mod( 'title_font_size','2.6' )/1.3 ).'vmin';?> ;
			}
			
			p { 
				color: <?php echo esc_attr( get_theme_mod( 'header_color2', '#707070' ) ); ?>; 
				font-weight: <?php echo esc_attr( get_theme_mod( 'paragraph_weight' ) );?> ;
				font-family: <?php echo esc_attr( get_theme_mod( 'paragraph_font_name','Verdana' ) );?> ;
				font-style: <?php echo esc_attr( get_theme_mod( 'paragraph_font_style' ) );?> ;
				font-size: <?php echo esc_attr( get_theme_mod( 'paragraph_font_size','2' ) ).'vmin';?> ;
			
			}
			.widget-title,
			.formatline,
			.catagoryline,
			.catagoryline a,
			.textwidget p,
			.textwidget,
			.nav-link,
			.nav li a {
				color:<?php echo esc_attr( get_theme_mod( 'header_color9', '#2d76bf' ) ); ?> ! important;
				font-weight: <?php echo esc_attr( get_theme_mod( 'menu_weight' ) );?> ;
				font-family: <?php echo esc_attr( get_theme_mod( 'menu_font_name','Verdana' ) );?> ;
				font-style: <?php echo esc_attr( get_theme_mod( 'menu_font_style' ) );?> ;
				font-size: <?php echo esc_attr( get_theme_mod( 'menu_font_size','2.2' ) ).'vmin';?> ;
			}
			.btn {
				color:<?php echo esc_attr( get_theme_mod( 'header_color9', '#000000' ) ); ?> ! important;
			}
			.widget-title {
				font-size: <?php echo esc_attr( get_theme_mod( 'menu_font_size','1.8' ) ).'vmin';?> ; /* this value is final for font size */
			}
			.header-date {
				color: <?php echo esc_attr( get_theme_mod( 'header_color10', '#000000' ) ); ?>;
			}
			.brand-date-tagline {
				font-weight: <?php echo esc_attr( get_theme_mod( 'date_tagline_weight' ) );?> ;
				font-family: <?php echo esc_attr( get_theme_mod( 'date_tagline_font_name','Verdana' ) );?> ;
				font-style: <?php echo esc_attr( get_theme_mod( 'date_tagline_font_style' ) );?> ;
				font-size: <?php echo esc_attr( get_theme_mod( 'date_tagline_font_size','2' ) ).'vmin';?> ;

			}
			.custom-background { 
				background-color: #<?php echo esc_attr( get_theme_mod( 'background_color', '#000000' ) );?>;
			}
			span { 
				color: <?php echo esc_attr( get_theme_mod( 'header_color3', '#ffffff' ) ); ?>;
				font-weight: <?php echo esc_attr( get_theme_mod( 'title_weight' ) );?> ;
				font-family: <?php echo esc_attr( get_theme_mod( 'title_font_name','open sans' ) );?> ;
				font-style: <?php echo esc_attr( get_theme_mod( 'title_font_style' ) );?> ;
				font-size: <?php echo esc_attr( get_theme_mod( 'title_font_size' ) ).'vmin';?> ;
			}
			
			.catagoryline,
			.formatline { 
				border-bottom: 1px solid <?php echo esc_attr( get_theme_mod( 'header_color1', '#000000' ) ); ?>; 
			}
			.conetentline { 
				border-left: 1px solid <?php echo esc_attr( get_theme_mod( 'header_color1', '#000000' ) ); ?>; 
			}

			.menucolor,
			.widget-title { 
				background: <?php echo esc_attr( get_theme_mod( 'header_color4', '#f2f2f2' ) ); ?>  ; 
			}
			.brand {
				color:<?php echo esc_attr( get_theme_mod( 'header_color9', '#2d76bf' ) ); ?> ! important;
				font-weight: <?php echo esc_attr( get_theme_mod( 'brand_weight' ) ); ?>; 
				font-style: <?php echo esc_attr( get_theme_mod( 'brand_font_style' ) ); ?>; 
				font-size: <?php echo esc_attr( get_theme_mod( 'brand_font_size' ) ).'vmin' ;?>; 
				font-family: <?php echo esc_attr( get_theme_mod( 'brand_font_name','Impact' ) )?>;
				
			}
			#section3 { 
				background: <?php echo esc_attr( get_theme_mod( 'header_color5', '#e7e7e7' ) ); ?>; 
			}
			#subsection { 
				background: <?php echo esc_attr( get_theme_mod( 'header_color6', '#ffffff' ) ); ?>; 
			}
			#sectionlast { 
				background: <?php echo esc_attr( get_theme_mod( 'header_color7', '#ffffff' ) ); ?>; 
			}

			/* highlight active menu */
			li.current-menu-item {   
				background: <?php echo esc_attr( $final_color ); ?>  ; 
			}
			
			.fontsize-ca {
				font-size: <?php echo esc_attr( get_theme_mod( 'date_tagline_font_size','2.6' )/1.4 ).'vmin';?> ;
			}
			
		</style>
<?php
}
add_action( 'wp_head', 'postmag_customize_css' );