<?php
/**
  * One Click Demo Import v2.5.0
 * Available under License: GPLv3 or later
 * Contributors   capuderg, cyman, Prelc
 *
 * @link http://proteusthemes.github.io/one-click-demo-import/
 * @package Postmagthemes
 * @subpackage Postmag
 */
// ************** theme setting function for one time DEMO ****************//
function ocdi_import_files() {
	return array(
	  	array(
		'import_file_name'             => 'Demo Import category A',
		'categories'                   => array( 'Category A' ),
		'import_file_url' 	           => esc_url( 'https://www.postmagthemes.com/download/postmag/ocdi/demopostmag.wordpressA.xml'),
		'import_widget_file_url'	     => esc_url( 'https://www.postmagthemes.com/download/postmag/ocdi/demopostmag-widgetsA.wie'),
		'import_customizer_file_url'	 => esc_url( 'https://www.postmagthemes.com/download/postmag/ocdi/postmag-exportA.dat'),
		'import_redux'	           		 => array( ),
		'import_preview_image_url'     => esc_url( 'https://www.postmagthemes.com/download/postmag/ocdi/screenshotAocdi.png' ),
		'import_notice'                => __( 'Welcom to download DEMO Category A', 'postmag' ),
		'preview_url'                  => esc_url( 'https://www.postmagthemes.com/demopostmag/' ),
		),
		array(
			'import_file_name'             => 'Demo Import category B',
			'categories'                   => array( 'Category B' ),
			'import_redux'	           		 => array(),
			'import_preview_image_url'     => esc_url( 'https://www.postmagthemes.com/download/postmag/ocdi/screenshotBocdi.png'),
			'import_notice'                => __( 'SORRY, currently this Category B in not Avialable for import', 'postmag' ),
			'preview_url'                  => esc_url( '#' ),
			),
		
	);
  }
  add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );

  // ************** default value after import function ****************//
  function ocdi_after_import_setup() {
	  // Assign menus to their locations. Header is menu name created from GU
	  $header_menu = get_term_by( 'name', 'Header', 'nav_menu' );
	  $footer_menu = get_term_by( 'name', 'Footer', 'nav_menu' );
	  set_theme_mod( 'nav_menu_locations', array(
			  'primary_header' => $header_menu->term_id,
			  'primary_footer' => $footer_menu->term_id,
		  )
	  );
	  // Assign front page and posts page (blog page).
	  $front_page_id = get_page_by_title( 'Home' );
	  $blog_page_id  = get_page_by_title( 'Blog' );
	  update_option( 'show_on_front', 'page' );
	  update_option( 'page_on_front', $front_page_id->ID );
	  update_option( 'page_for_posts', $blog_page_id->ID );
  }
  add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );